PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

- Data Types List
- Data Types
- Data Fields

Data Fields
plasma_desc_t Struct Reference

`#include <descriptor.h>`

## Data Fields
void * | mat
size_t | A21
size_t | A12
size_t | A22
PLASMA_enum | dtyp
int | mb
int | nb
int | bsiz
int | lm
int | ln
int | lm1
int | ln1
int | lmt
int | lnt
int | i
int | j
int | m
int | n
int | mt
int | nt

## Detailed Description

Tile matrix descriptor

Matrices are stored in a contiguous data chunk containing in order A11, A21, A12, A22 with :

         n1      n2
    +----------+---+
    |          |   |    With m1 = lm - (lm%mb)
    |          |   |         m2 = lm%mb

m1 | A11 |A12| n1 = ln - (lnnb) | | | n2 = lnnb | | | +-------—+—+ m2 | A21 |A22| +-------—+—+